LINUX.ORG.RU

Songbird прекращает полноценную поддержку Linux

 , ,


0

0

Джорджи Аубергер (Georges Auberger) опубликовал в блоге проекта информацию о том, что разработка songbird для linux будет заморожена. Решение объясняется сложностями с одновременной поддержкой большого числа медиаформатов и устройств силами небольшой команды разработчиков. С этого момента разработчики будут сфокусированы на улучшенной поддержке Windows 7 и расширенного списка мобильных устройств.
Однако, по заверениям Джорджи, выход билдов Songbird под Linux будет продолжен, но без должного тестирования и скорей всего, не будет включать новых возможностей
Сообщение в блоге

>>> Сайт Songbird



Проверено: mono ()

Ответ на: Уважаемый, у вас проблемы с логикой. от wfrr

> в любом коммерческом софте есть обратная совместимость, в опенсурсном - нету, из-за этого опенсурс никому не нужен

Именно поэтому MS с каждой новой версией Windows теряет совместимость с собственными продуктами?

Кроме всего прочего, изменения в питоне (так же как и в последних GCC) отражают изменения в языке, а не только в продукте. Некоторое время назад у меня был контракт на перевод довольно большого проекта с VS2003 на VS2005 - 3 месяца работы команды. Ужесточились требования языка, что-то в STL было по-другому, и что-то стало работать по-другому, хотя и компилировалось. Так что слова про 'весь коммерческий софт' - как минимум преувеличение.

HappySquirrel ()
Ответ на: комментарий от HappySquirrel

Все эти изменения с vs2003 на vs2005 - подтверждаю. Особенно это касается очень платного и очень закрытого пакета - BDS 20XX...

Все равно всегда будут те, которые только на 50% владеют вопросом, и всегда будут предрекать «нужность/ненужность» чего угодно и т.п.

I-Love-Microsoft ★★★★★ ()
Ответ на: комментарий от hobbit

>В ранних версиях Оперы были не вкладки, а полноценные дочерние окна (лично я считаю, что это удобнее).

MDI? сейчас так же можно сделать.

mono ★★★★★ ()
Ответ на: комментарий от wfrr

не уважаемый белка, ты такой дебил, чес-слово )) школу недавно закончил? или снова на второй год оставили? XD

anonymous ()
Ответ на: комментарий от WindowsXP

> А что вы знаете много архитектур которые способны выполнять высоко производительные задачи?

счас тебе еще про Sony PlayStation напомнят

СМотря какие задачи высокопроизводительными называешь. Числодробилки х86 осиливает очень с трудом, в сравнении с конурентами (целл, жпу, кастомные векторные процессоры). На спарках не пробовал никогда ,но не думаю, что у архитектуры, направленной на решение большоно задач есть возможность тягацца с узконаправленной архитектурой.

trimm ()
Ответ на: комментарий от wfrr

> Уважаемый, настолько слил что обратился к авторитетам, так вот, ваши авторитеты не осилили ничего спроектировать, даже ваш юник - мусорка интерфейсов и юникс вей ничего не спас. Не в пример виндовс с COM+

Толсто же.

trimm ()
Ответ на: комментарий от wfrr

> Уважаемый, вы следующий раз упоминайте что вас интересует архитектура сортиров или еще чего, тут из телепатов только вы.

Архитектура - понятие общее. Про указание на процессоры одного конкретного класса ничего не было. Еси у вас настолько плохо работают мозги и вы настолько зашорены и хреновы, как специалист, что всегда думаете только над самыми стандартными, дорогими, низкопробными и нерезонными решениями, то неудивительно, что для вас венда - ваше все. А как же иначе, новое - то что - то осилить не желаете или не могете, чай?

trimm ()

«Плеер Songbird построен на базе технологий Mozilla и оптимизирован для каталогизирования и навигации по большим музыкальным коллекциям, поддерживает интеграцию с музыкальными web-сервисами и социальными сетями...»

Плеер интегрирован с социальными сетями... Этот мир потерялся.

Buy ★★★★★ ()
Ответ на: комментарий от wfrr

> Речь хотябы о грамотно спроектированных интерфесах, которые бы оставались стабильны в течение долгого времени. А не так что любая минорная версия какогнить гумна требует пеерпейсать пол линакса.

Вы что-то там о крайностях говорили?

AlexM ★★★★★ ()
Ответ на: комментарий от Reset

> винда тоже не под одну архитектуру сделана

Хых. Под две, x86 и x86-64? :)

Про NT3.51/Alpha помню :)

AlexM ★★★★★ ()
Ответ на: комментарий от r

Ну, установят и питон, чо нет ;)

И вообще, есть цигвиновский инсталлер, чо хочешь установит ;)

AlexM ★★★★★ ()
Ответ на: комментарий от Reset

Фактические винда сейчас для двух архитектур x86 и x86_64

на 2, при всём уважении, не тянут

и при этом почему-то не возникает вопросов насчет того под какую архитектуру собран драйвер на сайте производителя.

во-первых 4.2, далеко не все дрова работают, а те что по страному совпадению работают, так это потому как число костылей и подпорок over 9k, вспомните тот же WoW

как человек с over 3-х летним стажем наблюдения Win XP 64 я Вам докладываю что далеко не всё запускается, более того далеко не всё устанавливается

shty ★★★★★ ()
Ответ на: комментарий от HappySquirrel

Некоторое время назад у меня был контракт на перевод довольно большого проекта с VS2003 на VS2005 - 3 месяца работы команды. Ужесточились требования языка, что-то в STL было по-другому, и что-то стало работать по-другому, хотя и компилировалось. Так что слова про 'весь коммерческий софт' - как минимум преувеличение.

и не забывайте deprecated header files

shty ★★★★★ ()

И слава богу. Это тормозное, пожирающее память поделие не нужно. Его место в аду.

theZest ()
Ответ на: комментарий от wfrr

>Там какраз свой особый линукс, там жестко определенный API и там хоть както можно завялять поддержку, а не так как в этом зоопарке

Там вполне обычный дебиан, с нашлёпкой хилдон поверх гтк, никак гтк не отменяющей, и экспериментальной поддержкой кутей. Так же наблюдается большая концентрация питонового кода.

Lonli-Lokli ★★ ()
Ответ на: комментарий от WindowsXP

>Кстати - по вашей логике - если в системе присутсвует две версии какой либо библиотеки - то это «коробочный костыль» ?

А что это ещё? Назовём это «аксесуар для альтернативных способов движения», чтоб политкорректно.

Lonli-Lokli ★★ ()
Ответ на: комментарий от trimm

Видно человека неразбирающегося в вопросе. Числодробилки x86 осиливает как раз отлично. C GPU пока проблемы. производительность double недостаточна, код писать даже на cuda в разы сложнее чем на mpi, а про opencl я вообще молчу.

Reset ★★★★★ ()
Ответ на: комментарий от Buy

>Плеер интегрирован с социальными сетями... Этот мир потерялся.
Интеграция большинства медиаплееров с ласт.фм (такая же соц.сеть) почему-то никого не смущает.

yirk ★★★ ()
Ответ на: комментарий от shty

> вспомните тот же WoW

значит /lib32 тоже костыль и подпорка

я Вам докладываю что далеко не всё запускается, более того далеко не всё устанавливается

не знаю насчет xp64, а в висте 64 у меня всё запускается

Reset ★★★★★ ()
Ответ на: комментарий от Reset

> вспомните тот же WoW

значит /lib32 тоже костыль и подпорка

да, вне всяких

> я Вам докладываю что далеко не всё запускается, более того далеко не всё устанавливается

не знаю насчет xp64, а в висте 64 у меня всё запускается

дооо, а дрова, к примеру, для видюхи у Вас какие? неужели 32-bit?

shty ★★★★★ ()
Ответ на: комментарий от queen3

> Второй раз слышу про веселуху с несовместимостью версий дотнета. С питоном - было, кошмар, а с дотнетом ничего. Юзаю с первых версий, но ни одной несовместимости не ощутил. Что там не так, можно ссылку? Реально интересно.

Т.е. программы написанные под .Net 1 совместимы с .Net2 и .Net3? Хм.. а нахрена тогда, для того, чтобы они работали надо весь зоопарк деражать? Ещё и не факт, что всё работать будет. Примеры: бухгалтерские программы написанные под .NET, да и препод наглядно демонстрировал это любителям .net технологий, предлагая запустить программу на 3х компах с оффтопиком и интернетом.

qnikst ★★★★★ ()
Ответ на: комментарий от Reset

64 конечно же. Сейчас найти новое железо без драйверов для 64х битной винды это надо постараться

именно что 64-битные :) ибо 32-разрядные не заработают

да что там дрова, тупо dll для работы с com-портом (через winapi), безо всяких там наворотов, собраная под 32-разряда сегфолтится при вызове на 64-разрядной системе

shty ★★★★★ ()
Ответ на: комментарий от qnikst

> Второй раз слышу про веселуху с несовместимостью версий дотнета. С питоном - было, кошмар, а с дотнетом ничего. Юзаю с первых версий, но ни одной несовместимости не ощутил. Что там не так, можно ссылку? Реально интересно.

Т.е. программы написанные под .Net 1 совместимы с .Net2 и .Net3? Хм.. а нахрена тогда, для того, чтобы они работали надо весь зоопарк деражать? Ещё и не факт, что всё работать будет. Примеры: бухгалтерские программы написанные под .NET,

.net'ы при установке доставляют минорные версии, 3-й, ЕМНИП вообще просто обёртка-расширение над 2-м

да и препод наглядно демонстрировал это любителям .net технологий, предлагая запустить программу на 3х компах с оффтопиком и интернетом.

запускал и на 10, и на 20, и на 30 - всё работает, и что?

shty ★★★★★ ()
Ответ на: комментарий от Lonli-Lokli

вендотролли доставляяяяююют!!! куда кинуть донат?!

anonymous ()
Ответ на: комментарий от shty

по первому пункту, до установки всех трёх комплект програм не работал, какая-нибудь да просила поставить соотв .net.

запускал и на 10, и на 20, и на 30 - всё работает, и что?

ну у тебя получилось, значит написанно не так криво или ещё что. Но я лично был свидетелем, как человек написавший .net программу тупо не смог её запустить на предложенных компах.

qnikst ★★★★★ ()
Ответ на: комментарий от Reset

надо искать ошибку в этой dll'ке

возможно, но мне леняво :)

shty ★★★★★ ()
Ответ на: комментарий от qnikst

по первому пункту, до установки всех трёх комплект програм не работал, какая-нибудь да просила поставить соотв .net.

не, ну а Вы как хотели?

можно запускать явские программы без установленной ява-машины нужной версии, питоновские программы без требуемой версии интерпретатора и т.д.

shty ★★★★★ ()
Ответ на: комментарий от qnikst

> запускал и на 10, и на 20, и на 30 - всё работает, и что?

ну у тебя получилось, значит написанно не так криво или ещё что. Но я лично был свидетелем, как человек написавший .net программу тупо не смог её запустить на предложенных компах.

скажу более, я сам не запускал - написал инсталлер и отдал людям

вообще можно проверить установленные в системе версии .net

и в инсталлятор можно закатать любые нужные .net framework'и (толсто, но хомячки ценят) :)

shty ★★★★★ ()
Ответ на: комментарий от shty

1). дык ответ был человеку вещавшему, что все net совместимы и проблем нет.

2). хотелось бы отметить, что сравнение с явой не совсем корректно, поскольку в отношении совместимости я яве дела на порядок лучше. Причём иногда это даже в ущерб яве, поскольку приходится поддерживать совместимость с неудачными реализациями.

ну в яве несовместимости в разных версиях я видел 1 раз, это когда программа писанная при java-1.3 с использованием внешних библиотек не модифицировалась вплоть до 5той, где эти библиотеки уже вошли в javax. Всё починилость проставлением правильных путей к классам.

Ещё была фигня с сертификатами, когда с 1.4 на 5 ужесточили правила работы, всё лечилось добавлением 1-2 строк (если до этого было сделано не правильно)

qnikst ★★★★★ ()
Ответ на: комментарий от qnikst

1). дык ответ был человеку вещавшему, что все net совместимы и проблем нет.

ну это он просто черезчур оптимист :)

2). хотелось бы отметить, что сравнение с явой не совсем корректно, поскольку в отношении совместимости я яве дела на порядок лучше. Причём иногда это даже в ущерб яве, поскольку приходится поддерживать совместимость с неудачными реализациями.

всё как есть :)

shty ★★★★★ ()

1) Тому кто сравнивает XUL и WebKit - лучше сравнивайте ДВС с гусеницами. Больше толка будет. Пока лучше XUL ничего нету.

2) Насчет .NET Писал тут одной барышне курсовик по ADO. Купила она книжку за 800р. Берем пример 25 строк, набираем, не компилирует. Поменяли 12 строк - заработало. То имена функции стали другими то класс вдруг теперь стал 2-мя разными классами, то наоборот сростили что-то. Великолепная совместимость. Книжка по .NET 2, а у нас был 3.5. А у меня python программы по 10 лет не переписываются и ничего, все работает.

demmsnt ()
Ответ на: комментарий от demmsnt

да забейте вы на этих толстых, пусть лопнут уже

anonymous ()
Ответ на: комментарий от demmsnt

у меня python программы по 10 лет не переписываются и ничего, все работает

шо, и на всех версиях работают?

shty ★★★★★ ()
Ответ на: комментарий от shty

>> у меня python программы по 10 лет не переписываются и ничего, все работает

шо, и на всех версиях работают?

А в чем проблема? SCons поддерживает всё подряд, начиная с 1.5.2. Mercurial - 2.[3456]

tailgunner ★★★★★ ()
Ответ на: комментарий от anonymous

считайте 3к другим языком, 2.х ветка поддерживается

бггг, меняем условия по ходу игры? :)

но если так - то да

shty ★★★★★ ()
Ответ на: комментарий от shty

>> SCons is a fantastic build system, written in Python (1.5.2)

в 3.0+ работать, с большой вероятнстью, не будет

3.0 специально предназначена для слома совместимости, это ее цель и об этом официально объявлено. У какого релиза .NET была такая цель?

tailgunner ★★★★★ ()
Ответ на: комментарий от shty

где меняем? чётко сказали, что 3.х ломает совместимость - другой язык, старая ветка поддерживается, а лоровским белкам лишь бы брюжжать, заняться то нечем больше, хуле

anonymous ()
Ответ на: комментарий от tailgunner

3.0 специально предназначена для слома совместимости, это ее цель и об этом официально объявлено

OMG, а я думал для того чтобы имплементить новые фичи

У какого релиза .NET была такая цель?

не было такой цели ни у кого

shty ★★★★★ ()
Ответ на: комментарий от shty

>> 3.0 специально предназначена для слома совместимости, это ее цель и об этом официально объявлено

OMG, а я думал для того чтобы имплементить новые фичи

Ты думал неправильно.

tailgunner ★★★★★ ()
Ответ на: комментарий от shty

>OMG, а я думал для того чтобы имплементить новые фичи

и чтобы исправить ошибки проектирования => сломать совместимость

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.